Index: src/main/java/com/wediscussmovies/project/web/controller/UsersController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/UsersController.java	(revision 3ded84dfbf8ff25bf27cc822ac97b84a063fa95a)
+++ src/main/java/com/wediscussmovies/project/web/controller/UsersController.java	(revision e0ef1b13a29101c3f7a56f68da8dcdc8cce98b76)
@@ -1,98 +1,68 @@
-//package com.wediscussmovies.project.web.controller;
-//
-//import com.wediscussmovies.project.model.PasswordEncoder;
-//import com.wediscussmovies.project.model.*;
-//import com.wediscussmovies.project.model.exception.InvalidUserCredentialsException;
-//import com.wediscussmovies.project.service.UserService;
-//import org.springframework.stereotype.Controller;
-//import org.springframework.ui.Model;
-//import org.springframework.web.bind.annotation.GetMapping;
-//import org.springframework.web.bind.annotation.PostMapping;
-//import org.springframework.web.bind.annotation.RequestParam;
-//
-//import javax.servlet.http.HttpServletRequest;
-//import java.security.NoSuchAlgorithmException;
-//import java.util.Optional;
-//
-//@Controller
-//public class UsersController{
-//    private final UserService userService;
-//
-//    public UsersController(UserService userService) {
-//        this.userService = userService;
-//    }
-//
-//    @GetMapping("/login")
-//    public String getLoginPage(Model model){
-//        return "login";
-//    }
-//
-//    @PostMapping("/login/confirm")
-//    public String confirmLogin(HttpServletRequest request, Model model,
-//                               @RequestParam String username,
-//                               @RequestParam String password){
-//        Optional<User> user;
-//        try{
-//            password = PasswordEncoder.getEncodedPasswordString(password);
-//        }
-//        catch (NoSuchAlgorithmException ex){
-//            model.addAttribute("hasError", true);
-//            model.addAttribute("error", ex.getMessage());
-//            return "login";
-//        }
-//
-//        try{
-//            user = this.userService.login(username, password);
-//            request.getSession().setAttribute("user", user);
-//            request.getSession().setAttribute("loggedIn",true);
-//            return "redirect:/movies";
-//        }
-//        catch (InvalidUserCredentialsException ex){
-//            model.addAttribute("hasError", true);
-//            model.addAttribute("error", ex.getMessage());
-//            return "login";
-//        }
-//    }
-//
-//    @GetMapping("/register")
-//    public String getRegisterPage(){
-//        return "register";
-//    }
-//
-//    @PostMapping("/login/confirm")
-//    public String confirmRegister(HttpServletRequest request,
-//                                  @RequestParam String username,
-//                                  @RequestParam String email,
-//                                  @RequestParam String password,
-//                                  @RequestParam String confirmPassword,
-//                                  @RequestParam String name,
-//                                  @RequestParam String surname){
-//        Optional<User> user;
-//
-//        try{
-//            password = PasswordEncoder.getEncodedPasswordString(password);
-//            confirmPassword = PasswordEncoder.getEncodedPasswordString(confirmPassword);
-//        }
-//        catch (NoSuchAlgorithmException ex){
-//            request.getSession().setAttribute("error", "Contact the administrators!");
-//            request.getSession().setAttribute("hasError", "true");
-//            return "redirect:/movies";
-//        }
-//
-//        user = this.userService.register(request, email, password, confirmPassword, username, name, surname);
-//        if(user.isEmpty()){
-//            request.setAttribute("hasError", "true");
-//        }else{
-//            request.getSession().setAttribute("hasError", "false");
-//            request.getSession().setAttribute("user", user.get());
-//            request.getSession().setAttribute("loggedIn",true);
-//        }
-//        return "redirect:/movies";
-//    }
-//
-//    @GetMapping
-//    public String logout(HttpServletRequest request){
-//        request.getSession().invalidate();
-//        return "redirect:/login";
-//    }
-//}
+package com.wediscussmovies.project.web.controller;
+
+
+import com.wediscussmovies.project.LoggedUser;
+import com.wediscussmovies.project.model.exception.InvalidArgumentsException;
+import com.wediscussmovies.project.model.exception.PasswordsDoNotMatchException;
+import com.wediscussmovies.project.service.MovieService;
+import com.wediscussmovies.project.service.UserService;
+import org.springframework.stereotype.Controller;
+import org.springframework.ui.Model;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.PostMapping;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestParam;
+
+@Controller
+@RequestMapping
+public class UsersController{
+    private  final UserService userService;
+    private final MovieService movieService;
+
+    public UsersController(UserService userService, MovieService movieService) {
+        this.userService = userService;
+        this.movieService = movieService;
+    }
+    @PostMapping("/register")
+    public String register(@RequestParam String username,
+                           @RequestParam String password,
+                           @RequestParam String repeatedPassword,
+                           @RequestParam String email,
+                           @RequestParam String name,
+                           @RequestParam String surname) {
+        try{
+            this.userService.register(email,username,password,repeatedPassword,name,surname);
+            return "redirect:/login";
+        } catch (InvalidArgumentsException | PasswordsDoNotMatchException exception) {
+            return "redirect:/register?error=" + exception.getMessage();
+        }
+    }
+    @GetMapping("/register")
+    public String getRegisterPage(@RequestParam(required = false) String error, Model model) {
+        addModelError(model,error);
+        model.addAttribute("contentTemplate","register");
+        return "template";
+    }
+    @GetMapping("/login")
+    public String getLoginPage(@RequestParam(required = false) String error,Model model){
+        addModelError(model,error);
+        model.addAttribute("contentTemplate","login");
+        return "template";
+    }
+
+    private void addModelError(Model model,String error){
+        if(error != null && !error.isEmpty()) {
+            model.addAttribute("hasError", true);
+            model.addAttribute("error", error);
+        }
+    }
+    @GetMapping("/favoriteList")
+    public String getFavoriteList(Model model){
+        model.addAttribute("movies",this.movieService.findLikedMoviesByUser(LoggedUser.getLoggedUser()));
+        model.addAttribute("contentTemplate","favoriteList");
+        return "template";
+
+    }
+
+
+}
